Get stack version
- GET /stack/versions/{version}
Retrieves the Elastic Stack version and template.
Path Parameters
-
versionstringrequired -
The Elastic Stack version. For example,
5.3.1or5.0.0-RC4.
Responses
The Elastic Stack version is found.
-
versionstring -
Stack version
-
templateStackVersionTemplateInforequired -
The template information for an Elastic Stack version.
-
template_versionstring -
Template version
-
elasticsearchStackVersionElasticsearchConfigrequired -
The Elasticsearch configuration for an Elastic Stack version.
-
docker_imagestringrequired -
Docker image for the Elasticsearch
-
pluginsstringrequired -
List of available plugins
-
default_pluginsstringrequired -
List of default plugins
-
blackliststringrequired -
List of configuration options that cannot be overridden by user settings
-
node_typesStackVersionNodeType -
Node types that are supported by this stack version
-
node_typestringrequired -
Type of the node (master, data, ...)
-
namestringrequired -
Name of the node type
-
descriptionstringrequired -
Description of the node type
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
mandatoryboolean -
Flag to specify a node type is mandatory in a cluster's plan
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
kibanaStackVersionKibanaConfigrequired -
The Kibana configuration for an Elastic Stack version.
-
versionstring -
Version of Kibana
-
docker_imagestringrequired -
Docker image for the kibana
-
blackliststringrequired -
List of configuration options that cannot be overridden by user settings
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
apmStackVersionApmConfig -
The APM Server configuration for an Elastic Stack version.
-
versionstring -
Version of APM
-
docker_imagestringrequired -
Docker image for the APM
-
blackliststringrequired -
List of configuration options that cannot be overridden by user settings
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
appsearchStackVersionAppSearchConfig -
AppSearch related configuration of an Elastic Stack version
-
versionstring -
Version of AppSearch
-
docker_imagestringrequired -
Docker image for the AppSearch
-
blackliststringrequired -
List of configuration options that cannot be overridden by user settings
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
node_typesStackVersionNodeType -
Node types that are supported by this stack version
-
node_typestringrequired -
Type of the node (master, data, ...)
-
namestringrequired -
Name of the node type
-
descriptionstringrequired -
Description of the node type
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
mandatoryboolean -
Flag to specify a node type is mandatory in a cluster's plan
-
enterprise_searchStackVersionEnterpriseSearchConfig -
EnterpriseSearch related configuration of an Elastic Stack version
-
versionstring -
Version of EnterpriseSearch
-
docker_imagestringrequired -
Docker image for the EnterpriseSearch
-
blackliststringrequired -
List of configuration options that cannot be overridden by user settings
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
node_typesStackVersionNodeType -
Node types that are supported by this stack version
-
node_typestringrequired -
Type of the node (master, data, ...)
-
namestringrequired -
Name of the node type
-
descriptionstringrequired -
Description of the node type
-
settingsobject -
Settings that are applied to all nodes of this type
-
capacity_constraintsStackVersionInstanceCapacityConstraint -
The Elasticsearch instance, Kibana instance, APM Server capacity constraints for an Elastic Stack node type.
-
compatible_node_typesstring -
Node types that are compatible with this one
-
mandatoryboolean -
Flag to specify a node type is mandatory in a cluster's plan
-
metadataStackVersionMetadata -
The metadata for the Elastic Stack.
-
notesstring -
Notes for administrator
-
pre_releaseboolean -
Indicates that the stack pack version is not GA and is not supposed to be used in production
-
min_platform_versionstring -
The minimum version of the platform that the stack pack version is compatible with
-
min_wire_compatibility_versionstring -
The minimum version required for performing a rolling upgrade to this stack version.
-
min_index_compatibility_versionstring -
The minimum version required for performing a full cluster restart upgrade to this stack version.
-
schema_versioninteger -
The schema version of the stack pack version
-
is_fipsboolean -
Is this a fips stackpack
-
deletedboolean -
Identifies that the Elastic Stack version is marked for deletion
-
upgradable_tostringrequired -
Stack Versions that this version can upgrade to
-
min_upgradable_fromstring -
The minimum version recommended to upgrade this version.
-
whitelistedboolean -
Whether or not this version is whitelisted. This is only relevant in EC (SaaS) and is not sent in ECE.
-
accessibleboolean -
Whether or not this version is accessible by the calling user. This is only relevant in EC (SaaS) and is not sent in ECE.
-
rolling_upgrade_compatible_versionsstring -
List of versions that can be upgraded to the current version of the stackpack
The Elastic Stack version can't be found. (code: stackpack.version_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response